KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
Suno API4o Image API
Veo3.1 APIRunway APIFlux Kontext API
  1. 4o Image API
  • 4o Image API Quickstart
  • 4o Image Generation Callbacks
  • Generate 4o Image
    POST
  • Get 4o Image Details
    GET
  • Get Direct Download URL
    POST
  1. 4o Image API

Get 4o Image Details

GET
/api/v1/gpt4o-image/record-info
Query 4o Image generation task details using taskId, including generation status, parameters and results.

Status Descriptions#

GENERATING: Generating in progress
SUCCESS: Generation successful
CREATE_TASK_FAILED: Failed to create task
GENERATE_FAILED: Generation failed

Important Notes#

Maximum query rate is 3 times per second per task

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/gpt4o-image/record-info?taskId=task12345' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - 成功示例
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task12345",
        "paramJson": "{\"prompt\":\"A beautiful sunset over the mountains\",\"size\":\"1:1\",\"isEnhance\":false}",
        "completeTime": 1672574400000,
        "response": {
            "resultUrls": [
                "https://example.com/result/image1.png"
            ]
        },
        "successFlag": 1,
        "status": "SUCCESS",
        "errorCode": null,
        "errorMessage": "",
        "createTime": 1672561200000,
        "progress": "1.00"
    }
}
Previous
Generate 4o Image
Next
Get Direct Download URL
Built with